|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions
gameplay::AIState::Listener Class Reference

`#include <AIState.h>`

List of all members.

## Public Member Functions

virtual | ~Listener ()
virtual void | stateEnter (AIAgent *agent, AIState *state)
virtual void | stateExit (AIAgent *agent, AIState *state)
virtual void | stateUpdate (AIAgent *agent, AIState *state, float elapsedTime)

## Detailed Description

Interface for listening to AIState events.

## Constructor & Destructor Documentation

virtual gameplay::AIState::Listener::~Listener | ( |  | ) | `[virtual]`

Virtual destructor.

## Member Function Documentation

virtual void gameplay::AIState::Listener::stateEnter | ( | AIAgent * | agent,
|  | AIState * | state
| ) |  | `[virtual]`

Called when a state is entered.

Parameters:

  agent | The AIAgent this state event is for.
  state | The state that was entered.

virtual void gameplay::AIState::Listener::stateExit | ( | AIAgent * | agent,
|  | AIState * | state
| ) |  | `[virtual]`

Called when a state is exited.

Parameters:

  agent | The AIAgent this state event is for.
  state | The state that was exited.

virtual void gameplay::AIState::Listener::stateUpdate | ( | AIAgent * | agent,
|  | AIState * | state,
|  | float | elapsedTime
| ) |  | `[virtual]`

Called once per frame when for a state when it is active.

This method is normally where the logic for a state is implemented.

Parameters:

  agent | The AIAgent this state event is for.
  state | The active AIState.
  elapsedTime | The elapsed time, in milliseconds.

All Classes Functions Variables Typedefs Enumerations Enumerator